httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Reid" <>
Subject ab...
Date Sat, 14 Oct 2000 19:20:38 GMT
If I use ab from 1.3.14 I can run

./ab -n1000 -c2

with no problems at all.  If I try with the 2.0 version I get an error 

$ ./ab -n1000 -c2
This is ApacheBench, Version 1.3c <$Revision: 1.28 $> apache-2.0
Copyright (c) 1996 Adam Twiss, Zeus Technology Ltd, http://
Copyright (c) 1998-2000 The Apache Software Foundation, http://

Benchmarking (be patient)...apr_poll: The timeout specified 
has expired (20507) 

As the server and platform are identica I can't help thinking it's a 
problem.  Has anyone else seen anything like this and is the feeling 
that it's a problem in ab or should I look at the select code in APR?  
I'm inclined to think it's in ab, but I could be wrong!


View raw message